# Uses of Class
javafx.scene.media.MediaPlayer

Packages that use MediaPlayer
Package
Description
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.

## Uses of MediaPlayer in javafx.scene.media

Methods in javafx.scene.media that return MediaPlayer
Modifier and Type
Method
Description
`final MediaPlayer`
MediaView.`getMediaPlayer()`
Retrieves the `MediaPlayer` whose output is being handled by this view.
Methods in javafx.scene.media that return types with arguments of type MediaPlayer
Modifier and Type
Method
Description
`final ObjectProperty<MediaPlayer>`
MediaView.`mediaPlayerProperty()`
The `mediaPlayer` whose output will be handled by this view.
Methods in javafx.scene.media with parameters of type MediaPlayer
Modifier and Type
Method
Description
`final void`
MediaView.`setMediaPlayer(MediaPlayer value)`
Sets the `MediaPlayer` whose output will be handled by this view.
Constructors in javafx.scene.media with parameters of type MediaPlayer
Modifier
Constructor
Description
``
`MediaView(MediaPlayer mediaPlayer)`
Creates a `MediaView` instance associated with the specified `MediaPlayer`.